Subject: bug#15945: chown: Does now allow setting user and users login group with numerical user ID

From: Tormen <[email-masked]>
Date: Thu, 21 Nov 2013 17:41:19 +0100

On 21/11/13 17:32, Eric Blake wrote:
> tag 15945 - notabug
> reopen 15945
> thanks
No, thank you :)

> On 11/21/2013 09:24 AM, Tormen wrote:
>
>>>> Leading to:
>>>> 	chown: invalid spec: `1001:'
>>> Drop the trailing colon.
>> But I want the same effect than
>>     chown me: /tmp/bla
> Ooh, you're right.  We DO document that:
I started wondering if I missed something extremely obvious here ;)

> Which means my earlier comments aren't quite correct - the existing use
> of [:[GROUP]] in usage text is correct.  But I _still_ think we need to
> split into two lines to make it obvious that the argument itself is
> mandatory, as in:
>
> Usage: chown [OPTION]... OWNER[:[GROUP]] FILE...
>   or:  chown [OPTION]... :[GROUP] FILE...
>
> or even rewrite it along the lines of the info page:
>
> Usage: chown [OPTION]... NEWSPEC FILE...
>
> and document that NEWSPEC is [OWNER][:[GROUP]]
... and mention that either OWNER or GROUP needs to be present ;)

But I prefer the 2 lines ... more concise and allows to quickly grasp
the meaning (IMHO).

Tormen